Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class ListDataEvent

    java.lang.Object
      java.util.EventObject
          javax.swing.event.ListDataEvent

All Implemented Interfaces:
  Serializable

    public class ListDataEvent

extends EventObject

Defines an event that encapsulates changes to a list.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Field Summary
`static int` | `CONTENTS_CHANGED` Identifies one or more changes in the lists contents.
`static int` | `INTERVAL_ADDED` Identifies the addition of one or more contiguous items to the list
`static int` | `INTERVAL_REMOVED` Identifies the removal of one or more contiguous items from the list

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ListDataEvent(Object source, int type, int index0, int index1)` Constructs a ListDataEvent object.

Method Summary
`int` | `getIndex0()` Returns the lower index of the range.
`int` | `getIndex1()` Returns the upper index of the range.
`int` | `getType()` Returns the event type.
`String` | `toString()` Returns a string representation of this ListDataEvent.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTENTS_CHANGED

    public static final int CONTENTS_CHANGED

  Identifies one or more changes in the lists contents.

  See Also:
    Constant Field Values

### INTERVAL_ADDED

    public static final int INTERVAL_ADDED

  Identifies the addition of one or more contiguous items to the list

  See Also:
    Constant Field Values

### INTERVAL_REMOVED

    public static final int INTERVAL_REMOVED

  Identifies the removal of one or more contiguous items from the list

  See Also:
    Constant Field Values

Constructor Detail

### ListDataEvent

    public ListDataEvent(Object source,
                         int type,
                         int index0,
                         int index1)

  Constructs a ListDataEvent object. If index0 is > index1, index0 and index1 will be swapped such that index0 will always be <= index1.

  Parameters:
    `source` - the source Object (typically `this`)
    `type` - an int specifying `CONTENTS_CHANGED`, `INTERVAL_ADDED`, or `INTERVAL_REMOVED`
    `index0` - one end of the new interval
    `index1` - the other end of the new interval

Method Detail

### getType

    public int getType()

  Returns the event type. The possible values are:
  - `CONTENTS_CHANGED`
  - `INTERVAL_ADDED`
  - `INTERVAL_REMOVED`

  Returns:
    an int representing the type value

### getIndex0

    public int getIndex0()

  Returns the lower index of the range. For a single element, this value is the same as that returned by `getIndex1()`.

  Returns:
    an int representing the lower index value

### getIndex1

    public int getIndex1()

  Returns the upper index of the range. For a single element, this value is the same as that returned by `getIndex0()`.

  Returns:
    an int representing the upper index value

### toString

    public String toString()

  Returns a string representation of this ListDataEvent. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.

  Overrides:
    `toString` in class `EventObject`
  Returns:
    a string representation of this ListDataEvent.
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.